Refresh Health
curl --request POST \
--url https://api.tryhikoo.com/api/v1/public/health/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryhikoo.com/api/v1/public/health/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryhikoo.com/api/v1/public/health/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"robots_allows_ai": true,
"llms_txt_exists": true,
"sitemap_exists": true,
"last_health_check_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Health
Refresh Health
Force a re-check of robots.txt, llms.txt, and sitemap. Quota-limited
by the plan’s health_refresh_monthly_website_limit.
POST
/
api
/
v1
/
public
/
health
/
refresh
Refresh Health
Authorizations
Personal API key created in the dashboard (Settings > API keys).
Query Parameters
Target website id
⌘I